### Home Classes Methods

### In Files

- kyotocabinet.rb

### Parent

Object

### Methods

- #process

### Class/Module Index

Quicksearch

- KyotoCabinet
- KyotoCabinet::Cursor
- KyotoCabinet::DB
- KyotoCabinet::Error
- KyotoCabinet::FileProcessor
- KyotoCabinet::Visitor

No matching classes.

# KyotoCabinet::FileProcessor

Interface to process the database file.

### Public Instance Methods

process(path, count, size) click to toggle source

Process the database file.

- @param path the path of the database file.

- @param count the number of records.

- @param size the size of the available region.

- @return true on success, or false on failure.

    # File kyotocabinet.rb, line 174
    def process(path, count, size)
      # (native code)
    end

Generated with the Darkfish Rdoc Generator 2.